package com.steering.mes.zgmil.entity;

/**
 * 数据库表QCM_SURFACE_REPORT所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160918TFRG   date 2017-08-15
 */
public class QcmSurfaceReportEntity implements java.io.Serializable {
	
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
     * 报告编号(SUR+机组代码+YYYYMMDD+00000001)
     */
    private String reportNo = "";
    /**
     * 生产批号
     */
    private String lotNo = "";
    /**
     * 炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 工序代码(A\B\C\D.....)
     */
    private String processCode = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线名称
     */
    private String plineName = "";
    /**
     * 工艺文件号
     */
    private String crafNo = "";
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 合同行号
     */
    private String orderSeq = "";
    /**
     * 交货行主键
     */
    private String ordLnDlyPk = "";
    /**
     * 工序合同（合同号）
     */
    private String proOrderNo = "";
    /**
     * 轧管订单编号
     */
    private String proPlanId = "";
    /**
     * 工序订单排产序号
     */
    private String gxPlanNo = "";
    /**
     * 表面检验报告目录(//ftproot/SurReport/168+炉号 文件目录再存储)
     */
    private String faceResultPath = "";
    /**
     * 生产班次
     */
    private String proBc = "";
    /**
     * 生产班组
     */
    private String proBz = "";
    /**
     * 状态（00：无效；10：有效）
     */
    private String validflag = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 跟队（0-正常 1-跟队）
     */
    private String follow = "";

    /**
     * 报告编号(SUR+机组代码+YYYYMMDD+00000001)
     * @return value
     */
    public String getReportNo() {
        return reportNo;
    }

    /**
     * 报告编号(SUR+机组代码+YYYYMMDD+00000001)
     * @param reportNo value
     */
    public void setReportNo(String reportNo) {
        this.reportNo = reportNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线名称
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线名称
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 工艺文件号
     * @return value
     */
    public String getCrafNo() {
        return crafNo;
    }

    /**
     * 工艺文件号
     * @param crafNo value
     */
    public void setCrafNo(String crafNo) {
        this.crafNo = crafNo;
    }

    /**
     * 合同号
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     * @return value
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     * @param orderSeq value
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 交货行主键
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货行主键
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 工序合同（合同号）
     * @return value
     */
    public String getProOrderNo() {
        return proOrderNo;
    }

    /**
     * 工序合同（合同号）
     * @param proOrderNo value
     */
    public void setProOrderNo(String proOrderNo) {
        this.proOrderNo = proOrderNo;
    }

    /**
     * 轧管订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 轧管订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 工序订单排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序订单排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 表面检验报告目录(//ftproot/SurReport/168+炉号 文件目录再存储)
     * @return value
     */
    public String getFaceResultPath() {
        return faceResultPath;
    }

    /**
     * 表面检验报告目录(//ftproot/SurReport/168+炉号 文件目录再存储)
     * @param faceResultPath value
     */
    public void setFaceResultPath(String faceResultPath) {
        this.faceResultPath = faceResultPath;
    }

    /**
     * 生产班次
     * @return value
     */
    public String getProBc() {
        return proBc;
    }

    /**
     * 生产班次
     * @param proBc value
     */
    public void setProBc(String proBc) {
        this.proBc = proBc;
    }

    /**
     * 生产班组
     * @return value
     */
    public String getProBz() {
        return proBz;
    }

    /**
     * 生产班组
     * @param proBz value
     */
    public void setProBz(String proBz) {
        this.proBz = proBz;
    }

    /**
     * 状态（00：无效；10：有效）
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 状态（00：无效；10：有效）
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 跟队（0-正常 1-跟队）
     * @return value
     */
    public String getFollow() {
        return follow;
    }

    /**
     * 跟队（0-正常 1-跟队）
     * @param follow value
     */
    public void setFollow(String follow) {
        this.follow = follow;
    }
}
